#ifndef INTERFACE
#define INTERFACE

#define DEFAULT_B 0.5 /* default bits */

/* define argument container */
typedef struct args{
  char h;   /* help message? */
  char v;   /* version message? */
  char e;   /* error message? */
  char **inputFiles;
  float b;  /* bits */
  int numInputFiles;
} Args;

Args *getArgs(int argc, char *argv[]);
void printUsage(char *version);
void printSplash(char *version);

#endif
